import { MutableRefObject } from 'react';
declare type Callback = (value: boolean) => void;
export declare const useActive: <T>(ref: MutableRefObject<T> | Callback) => {
    isActive: Boolean;
    onMouseDown?: Function | undefined;
    onMouseUp?: Function | undefined;
};
export declare const useFocus: <T>(ref: Callback | MutableRefObject<T>) => {
    isFocused: Boolean;
    onFocus?: Function | undefined;
    onBlur?: Function | undefined;
};
export declare const useHover: <T>(ref: Callback | MutableRefObject<T>) => {
    isHovered: Boolean;
    onMouseEnter?: Function | undefined;
    onMouseLeave?: Function | undefined;
};
export { default as useDimensions } from './useDimensions';
export { default as useScaledSize } from './useScaledSize';
export { default as useLayout } from './useLayout';
export { default as useREM } from './useREM';
